/********************************************************************************************
(C) Jakub Borzdynski 2006
jotbeage@interia.pl
-----------------------------
Szkola Konstruktorow 137 - g-meter
-----------------------------
Obsluga wyswietlacza
********************************************************************************************/
#ifndef jb_lcd_h
#define jb_lcd_h

#define sbi(port, bit) port|=(1<<bit)
#define cbi(port, bit) port&=~(1<<bit)
#define F_CPU 1000000UL

#include <avr/io.h> //definicje rejestrow uK
#include <util/delay.h>

//znaki specjalne
#define LCD_CFN	1000
#define LCD_BAT	1001
#define LCD_PRC	1002

//-------------------------------------------------------------------------------------------------------------
class lcd{
	bool kropka ; //przechowuje informacje o wymaganej kropce :)
	unsigned char ekran[3] ; //cyfry pokazywane na ekranie
	unsigned char wsk ; //okresla, ktory wyswietlacz ma byc wlaczony w danym momencie
	public:
	lcd() ; //konstruktor
	void operator()(unsigned int wartosc) ; //zapisuje wartosc
	void refresh() ; //odswieza "ekran"
	void off() ; //wylacz wyswietlacze
	void pozycja(unsigned char poz) ; //pokazuje etapy konfiguracji
} ;

extern lcd wysw ;
#endif