/********************************************************************************************
(C) Jakub Borzdynski 2006
jotbeage@interia.pl
-----------------------------
Szkola Konstruktorow, zad 128
Domowa stacja monitoringu. Odczyt z wewnetrznej pamieci EEPROM
********************************************************************************************/
#ifndef jb_eeprom_h
#define jb_eeprom_h
#define sbi(port, bit) port|=(1<<bit)
#define cbi(port, bit) port&=~(1<<bit)
#include <avr/io.h>

//------------------------------------------------------------------------
//ORGANIZACJA PAMIECI EEPROM - ADRESY
#define EEPROM_ADR_X_MIN		10
#define EEPROM_ADR_X_MIN_AMP	20
#define EEPROM_ADR_Y_MIN		30
#define EEPROM_ADR_Y_MIN_AMP	40
#define EEPROM_ADR_X_MAX		50
#define EEPROM_ADR_X_MAX_AMP	60
#define EEPROM_ADR_Y_MAX		70
#define EEPROM_ADR_Y_MAX_AMP	80
#define EEPROM_ADR_PROGRAM		90	//okresla ostatni, wykonywany program
//------------------------------------------------------------------------

class eeprom{
	public:
	eeprom() ;
	unsigned int operator[](unsigned int adres) ;
	void zapisz(unsigned int adres, unsigned int data) ;
};

extern eeprom pamiec ; //deklaracja obiektu do obslugi pamieci
#endif